/******************************************************************************
*
*  TUTORIAL INTRO
*
*******************************************************************************/

.tutorial-intro-main {
  background-color: #222 !important;
  overflow-y: auto !important;
}

.tutorial-intro-definitions {
  width: 800px;
  margin: auto;
  text-align: center;
}

.tutorial-intro-definitions > h1 {
  font-size: 40px;
  margin-top: 30px;
}

.tutorial-intro-definitions > h2 {
  font-size: 24px;
  margin-top: 40px;
  opacity: 0;
  animation: blur-reveal 2s forwards;
}

.tutorial-intro-definitions > div {
  font-size: 14px;
  color: #bbb;
  margin-top: 10px;
  margin-bottom: 50px;
  opacity: 0;
  animation: blur-reveal 2s forwards;
}

.tutorial-intro-button-next {
  font-size: 21px;
  font-weight: 600;
  color: #111;
  background-color: #ccc;
  margin-top: 60px;
  margin-bottom: 60px;
  padding: 10px 20px;
  border: 1px solid #fff;
  border-radius: 10px;
  opacity: 0;
  visibility: hidden;
  animation: blur-reveal 2s forwards;

  box-shadow: 0px 0px 5px 4px rgba(0,0,0,0.25);
  -webkit-box-shadow: 0px 0px 5px 4px rgba(0,0,0,0.25);
  -moz-box-shadow: 0px 0px 5px 4px rgba(0,0,0,0.25);
}

.tutorial-intro-button-next:hover {
  background-color: #aaa;
}


@keyframes blur-reveal {
  from {
    visibility: visible;
    opacity: 0;
    scale: 0.8;
    -webkit-filter: blur(2px);
    -moz-filter: blur(2px);
    filter: blur(2px);
  }
  to {
    visibility: visible;
    opacity: 1;
    scale: 1;
    -webkit-filter: blur(0px);
    -moz-filter: blur(0px);
    filter: blur(0px);
  }
}

.anim-fast {
  animation-duration: 0.5s !important;
}

.anim-1 {
  animation-delay: 1s !important;
}
.anim-2 {
  animation-delay: 2s !important;
}
.anim-3 {
  animation-delay: 3s !important;
}
.anim-4 {
  animation-delay: 4s !important;
}
.anim-5 {
  animation-delay: 5s !important;
}
.anim-7 {
  animation-delay: 7s !important;
}
.anim-8 {
  animation-delay: 8s !important;
}
.anim-9 {
  animation-delay: 9s !important;
}
.anim-10 {
  animation-delay: 10s !important;
}




.tutorial-intro-definitions-fullwidth {
  width: 100% !important;
}

.tutorial-intro-definitions-fullwidth h2 {
  width: 800px !important;
  margin-left: auto !important;
  margin-right: auto !important;
}



.tutorial-intro-example-wrapper {
  position: relative;
  /* height: 500px !important; */
  height: fit-content;
  width: auto;
  margin-left: auto;
  margin-right: auto;
  margin-top: 40px !important;
  margin-bottom: -40px !important;
  overflow-x: auto;
  overflow-y: hidden;
  animation: blur-reveal 2s forwards;
}

.tutorial-intro-example-wrapper-inner {
  height: 100%;
  list-style-type: none;
  width: max-content;
  margin: auto;
  overflow: visible;
  display: flex;
  font-size: 15px;
}

.tutorial-intro-example-wrapper-inner > div {
  display: block;
  position: relative;
  top: 0px;
  height: 100% !important;
  width: fit-content;
  max-width: 500px;
  float: left;
  padding: 20px;
  margin-right: 80px;
  text-align: left;
}

.tutorial-intro-example-wrapper-inner > div:last-of-type {
  margin-right: 0px;
}

.tutorial-intro-example-fullsize-image {
  height: 500px;
  /* height: calc(100% - 30px) !important; */
  object-fit: contain;
  margin: auto;
}


.tutorial-intro-example-wrapper-inner h4 {
  font-size: 20px;
  font-weight: 600;
  height: 30px;
  text-align: center;
}


.tutorial-intro-example-wrapper-inner h5 {
  font-size: 17px;
  font-weight: 550;
  margin-top: 20px;
}

.classify-tutorial-image-medium {
  width: 350px;
}

.classify-tutorial-image-small {
  width: 300px;
  margin-right: auto;
  margin-top: 5px;
  margin-bottom: 5px;
}

.tutorial-intro-example-wrapper-inner > div ul {
  margin-top: 5px;
  list-style: inside;
}


.tutorial-intro-example-question {
  text-align: left !important;
}

.tutorial-intro-example-explanation-text {
  margin-top: 10px;
}



/******************************************************************************
*
*  FOOTER PAGES
*
*******************************************************************************/

.tutorial-pages {
  position: fixed;
  background-color: #222;
  left: 0px;
  right: 0px;
  bottom: 0px;
  height: 40px;
  display: inline-flex;
  border-top: 1px solid #555;
  z-index: 1000;
}


.tutorial-pages > button {
  height: 100%;
  flex: 1;
  flex-shrink: 0;
  color: #bbb;
  font-size: 14px;
  border-right: 1px solid #555;
}

.tutorial-pages > button:last-of-type {
  border-right: none;
}

.tutorial-pages > button:not(.active):hover {
  background-color: #666;
  color: #fff;
}

.tutorial-pages > button.active {
  background-color: #555;
  color: #fff;
}




/******************************************************************************
*
*  CHAT
*
*******************************************************************************/

.story-chat-container {
  width: 800px;
  margin: auto;
  margin-bottom: 80px;
}

.story-chat-container p {
  color: #fff;
}

.chat-p1 {
  position: relative;
  right: 0px;
  max-width: 450px;
  min-width: 100px;
  width: fit-content !important;
  text-align: left;
  padding: 20px;
  background-color: #666;
  color: #fff;
  border-radius: 10px;
  margin-top: 20px;
  margin-left: 0px;
  margin-right: auto;
  transform-origin: 100% 50%;
}

.chat-p2 {
  position: relative;
  left: 0px;
  max-width: 450px;
  min-width: 100px;
  width: fit-content !important;
  margin-top: 20px;
  margin-left: auto;
  margin-right: 0px;
  background-color: transparent;
}

.chat-p2:not(> button) {
  background-color: #0030dd !important;
  color: #fff;
}

.chat-p2 button {
  border: 1px solid #fff;
  padding: 8px 12px;
  border-radius: 6px;
  background-color: #0030dd !important;
  color: #fff;
  margin-right: 10px;
}

.p2-button { 
  background-color: #0030dd !important;
  color: #fff;
}

.chat-p2 button:last-of-type {
  margin-right: 0px;
}


.chat-msg-hidden {
  display: none !important;
  scale: 0.7;
  transition: 0.3s;
}

.chat-msg-visible {
  display: block;
  scale: 1.0;
  transition: 1.6s;
}

.typing-dots {
  position: relative;
  width: 20px !important;
  text-align: center;
  line-height: 1;

  &:after {
    display: none;
  }

  span {
    display: block;
    height: 4px;
    width: 4px;
    background: #fff;
    display: inline-block;
    border-radius: 2px;
    margin: 5px 3px;
    opacity: 0;
    animation: type-animation 0.5s infinite alternate;
    transform: translateY(5px);

    &:nth-child(2) {
      animation-delay: 0.1s;
    }

    &:nth-child(3) {
      animation-delay: 0.2s;
    }
  }
}

@keyframes type-animation {
  to {
    transform: translateY(-3px);
    opacity: 1;
  }
}



/******************************************************************************
*
*  TUTORIAL CLASSIFY
*
*******************************************************************************/

div:has(> #classifyChildContainer) {
  background-color: #ddd !important;
  overflow-x: auto;
}

#classifyChildContainer {
  height: fit-content;
  width: calc(100% - 2px) !important;
}

.tutorial-classify-wrapper {
  position: relative;
  top: 0px;
  width: 100%;
  min-height: calc(100% - 80px) !important;
  height: fit-content;
  background-color: transparent;
  vertical-align: middle;
  align-items: center;
  text-align: center;
  cursor: default !important;
}

.tutorial-classify-question {
  position: -webkit-sticky;
  position: sticky;
  top: 0px;
  left: 0px;
  right: 0px;
  padding: 20px;
  font-size: 32px;
  height: 80px;
  color: #111;
  background-color: #ddd;
  border-bottom: 1px solid #ccc;
  text-align: center;
  z-index: 1000;
}


.tutorial-classify-wrapper-inner {
  position: static;
  height: auto;
  text-align: center;
  margin: auto;
  padding-top: 20px;
  padding-bottom: 20px;
  min-width: 600px;
  width: min-content;
}

.tutorial-classify-caption {
  font-size: 28px;
  color: #111;
  visibility: hidden;
}

.tutorial-classify-caption:last-of-type {
  margin-top: 10px;
}

.tutorial-classify-caption.visible {
  visibility: visible !important;
}

.tutorial-classify-explanation {
  font-size: 18px;
  color: #111;
  visibility: hidden;
}

.tutorial-classify-explanation.visible {
  visibility: visible !important;
}

.tutorial-classify-btn {
  margin-top: 10px;
  color: #444;
  visibility: hidden;
  font-size: 14px;
}

.tutorial-classify-btn.visible {
  visibility: visible !important;
}



.tutorial-classify-element-wrapper {
  position: relative;
  width: fit-content;
  padding: 10px;
  background-color: #fff;
  color: #000;

  border: 1px solid #fff;
  box-shadow: 0px 0px 5px 4px rgba(0,0,0,0.25);
  -webkit-box-shadow: 0px 0px 5px 4px rgba(0,0,0,0.25);
  -moz-box-shadow: 0px 0px 5px 4px rgba(0,0,0,0.25);

  margin-top: 40px;
  margin-bottom: 40px;
  margin-left: auto;
  margin-right: auto;

  text-align: left;
}



/******************************************************************************
*
*  CLASSIFY EXAMPLES
*
*******************************************************************************/

.classify-example-ad-blocker {
  width: 600px;
  text-align: justify;
}

.classify-example-ad-blocker > h3 {
  color: red;
  font-size: 22px;
  font-weight: 600;
  margin-bottom: 10px;
}

.classify-example-ad-blocker > p {
  margin-top: 5px;
}

.classify-example-ad-blocker > button:first-of-type {
  color: #aaa;
  font-size: 14px;
  margin-top: 25px;
  margin-bottom: 10px;
}

.classify-example-ad-blocker > button:last-of-type {
  color: #111;
  border: 1px solid #111;
  border-radius: 6px;
  padding: 4px 12px;
  margin-top: 20px;
  float: right;
  font-weight: 550;
}



.classify-example-ad-blocker-2 {
  width: 590px;
}

.classify-example-ad-blocker-2 > h3 {
  color: #111;
  font-size: 36px;
  line-height: 42px;
}

.classify-example-ad-blocker-2 > img {
  float: left;
  width: 200px;
  height: 250px;
  object-fit: cover;
  margin-right: 16px;
  border: 4px solid #765;
}

.classify-example-ad-blocker-2 > p {
  margin-top: 20px;
  margin-bottom: 20px;
  margin-right: 10px;
  font-size: 18px;
}

.classify-example-ad-blocker-2 > button:first-of-type {
  font-weight: 600;
  background-color: #765;
  color: #fff;
  padding: 4px 12px;
  border-radius: 6px;
  height: 36px;
  margin-right: 10px;
  margin-top: auto;
}

.classify-example-ad-blocker-2 > button:last-of-type {
  font-weight: 400;
  float: right;
  background-color: #aaa;
  color: #111;
  padding: 4px 12px;
  border-radius: 6px;
  font-size: 14px;
  height: 36px;
  margin-top: auto;
  margin-right: 10px;
}



.classify-example-nagging {
  width: 400px;
  height: fit-content;
  overflow: hidden;
}

.classify-example-nagging > img {
  position: relative;
  width: 100%;
  height: 200px;
  object-fit: cover;
}

.classify-example-nagging > input {
  width: 100%;
  border: 1px solid #001a76;
  padding: 4px 12px;
  margin-top: 5px;
  margin-bottom: 10px;
}

.classify-example-nagging > h1 {
  color: #001a76;
  font-size: 22px;
  font-weight: 550;
  text-align: center;
  margin-bottom: 5px;
}

.classify-example-nagging > p {
  color: #001a76;
  font-size: 16px;
  font-weight: 550;
  text-align: center;
  margin-top: 5px;
}

.classify-example-nagging > button {
  display: inline-block;
  padding: 8px 20px;
  background-color: #001a76;
  border-radius: 8px;
  color: white;
}

.classify-example-nagging > button:last-of-type {
  float: right;
}


.classify-example-cookie-banner {
  width: 1000px;
  height: fit-content;
}

.classify-example-cookie-banner > div.fullWidthCookieBanner {
  position: relative !important;
}

.classify-example-cookie-banner > div.fullWidthCookieBanner > div {
  padding: 10px !important;
}


.classify-example-mobile-screenshot {
  width: 300px;
}




/******************************************************************************
*
*  GAME EXPLANATION
*
*******************************************************************************/

.tutorial-intro-game-explanation-wrapper {
  animation: blur-reveal 1s forwards;
}

.tutorial-intro-game-explanation {
  margin-bottom: 20px;
}

.tutorial-intro-game-explanation h3 {
  font-size: 22px;
  font-weight: 600;
  margin-top: 60px;
  margin-bottom: 10px;
}

.tutorial-intro-game-explanation p {
  text-align: justify;
  font-size: 18px;
  margin-top: 10px;
}

.tutorial-intro-game-explanation-img {
  width: 2000px !important;
  border: 2px solid #ccc;
}